Chuyển đến nội dung
Diễn đàn CADViet
Đăng nhập để thực hiện theo  
funnyboy89

vẽ mũi tên trong acad

Các bài được khuyến nghị

bác admin giúp em voi , em moi hoc auto cad , bac chi giup em ve mui tên dan ðuờng trong auto cad , cam on bac nhiều !

Bạn có thể dùng lệnh Le (QLeader) ðể vẽ mũi tên hoặc bạn dùng lệnh Pline bằng cách vẽ 1 ðoạn thẳng là thân mũi tên, sau ðó nhập chiều rộng phần ðầu mũi tên rồi phần mũi nhọn cho giá trị = 0 (Specify starting width : 1, Specify ending width : 0)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

nhờ các bác giúp em sửa cái code vẽ mũi tên có thêm độ lớn của mũi tên (arrow size) là 2 giúp em với!

(defun c:Arrow (/ _group _dist lastentity p1 p2 ent obj gr coords pt)
  (vl-load-com)  (defun _group (l) 
    (if (caddr l) (cons (list (car l) (cadr l) (caddr l)) (_group (cdddr l)))))
  (defun _dist (a b) (distance (list (car a) (cadr a)) (list (car b) (cadr b))))
  (setq lastentity (entlast)) 
  (if (and (setq p1 (getpoint "\nSpecify first point: "))
           (setq p2 (getpoint p1 "\nSpecity next point: "))
           (vl-cmdf "_.leader" "_non" p2 "_non" p1 "" "" "_N")
           (not (equal lastentity (setq ent (entlast))))
           (setq obj (vlax-ename->vla-object ent)))
    (while (eq 5 (car (setq gr (grread T 15 0))))
      (redraw)
      (grdraw (cadr gr)
              (trans (vlax-curve-getClosestPointTo ent (setq pt (trans (cadr gr) 1 0))) 0 1)  3  -1)
      (if  (equal (last (setq coords (_group (vlax-get obj 'Coordinates))))
          (car (vl-sort coords (function (lambda (a b) (< (_dist a pt) (_dist b pt)))))))
         (vlax-put obj 'Coordinates (apply (function append) (reverse coords))))
      (grdraw (cadr gr) (trans (car coords) 0 1) 1 -1)))  (redraw)  (princ))

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Mình vẫn vẽ mũi tên bằng lệnh LE, rồi sau đó kích vào mũi tên để điều chỉnh

bạn điều chỉnh cho mũi tên to ra như nào chỉ mình với

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×